package ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.plugin

import org.gradle.api.Plugin
import org.gradle.api.Project


class SetupBuildScript : Plugin<Project> {
	override fun apply(project: Project) {
		project.extensions.add("xomrk", XomrkDsl(project))
	}

	internal object PluginIDs {
		@JvmStatic
		val THIS = "ru.landgrafhomyak.kotlin.original-multiplatform-ext"

		@JvmStatic
		val KOTLIN_MULTIPLATFORM = "org.jetbrains.kotlin.multiplatform"

		@JvmStatic
		val MAVEN_PUBLISHING = "org.gradle.maven-publish"
	}
}